> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.kurator.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /tools/{toolId}

> Patch a tool.

### Params

<ParamField path="toolId" required type="string">
  A valid `tool` id.
</ParamField>

### Body

<ParamField body="name" type="string">
  The name of the tool.
</ParamField>

<ParamField body="description" type="string">
  The description of the tool
</ParamField>

<ParamField body="type" type="object">
  The type of tool, valid options `SEARCH`, `WOLFRAM_ALPHA`, `REPLICATE`, `ZAPIER_NLA`, `AGENT` or `OPENAPI`.
</ParamField>

<ParamField body="metadata" type="object">
  Any other configuration needed for the tool as an JSON object.
</ParamField>

### Response

<ResponseField name="success" type="boolean">
  Indicates whether the call was successful.
</ResponseField>

<ResponseField name="data" type="object">
  A `tool` object.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request PATCH 'https://api.kurator.ai/api/v1/tools/{toolId}' \
  --header 'Content-Type: application/json' \
  --header 'Autorization: Bearer <token>' \
  --data-raw '{
      "name": "My patched tool",
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
     "id": "cli28c2vd00016itbrlhekwql",
      "name": "My Zapier tool",
      "type": "ZAPIER_NLA",
      ...
    }
  }
  ```
</ResponseExample>
